#ifndef _pylist_h_
#define _pylist_h_

#include <boost/python.hpp>
class List;
namespace python = boost::python;
typedef python::list PyList;
typedef python::numeric::array PyArray;

void list2array(const PyList& l, int* array);
void list2array(const PyList& l, float* array);
void list2array(const PyList& l, const char** array);
void array2list(const int* array, PyList& l, int nitems = 0);
void array2list(const float* array, PyList& l, int nitems = 0);


class Float {
public:
    Float(float v = 0) {
        val = v;
    }
   
    Float(const Float& other) {
	val = other.val;
    }

    float val;
};


#endif
